Error: Failed dependencies: Expect is needed by infinidb-platform-4.6.0-1.x86_64

2 posts / 0 new
Last post
Lunen
Lunen's picture
Offline
Last seen: 2 weeks 4 days ago
Joined: Jul 3 2014
Junior Boarder

Posts: 4

Lunen De Lange
Error: Failed dependencies: Expect is needed by infinidb-platform-4.6.0-1.x86_64

Hi Guys

 

I'm new here, so please be nice.

I'm using REDHAT 6[64bit] which is not connected to the internet.  (I have to manually download my packages.)

When I do the installation of the Infinidb-platform it gives me the following:
Error: Failed dependencies:  Expect is needed by infinidb-platform-4.6.0-1.x86_64

 

The libs, mysql and storage rpm's installed without any issues.

 

Any idea's

 

Kind Regards

davidhill
davidhill's picture
Offline
Last seen: 1 month 3 weeks ago
Joined: Oct 27 2009
Administrator

Posts: 595

david hill
install failure

The package 'expect' is used by InfiniDB and needs to be installed on your server(s).

 

Without Internet access, you can't use 'yum', which is what is normally used on redhat machines.

 

You will need to go get the associated RPM for expect that goes with your OS version, scp to the server(s), and install with the rpm tool.

 

David